php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #13091 Compile Failure
Submitted: 2001-09-01 13:17 UTC Modified: 2001-09-01 13:28 UTC
From: webg33k at hotmail dot com Assigned:
Status: Not a bug Package: *Compile Issues
PHP Version: 4.0.6 OS: Slackware 8.0 - Linux, 2.2.19
Private report: No CVE-ID: None
 [2001-09-01 13:17 UTC] webg33k at hotmail dot com
Since PHP4 started calling the module "phplib4.module" things break. The Apache Makefiles still use the term "phplib4.a" in the Makefiles - when I change these I then get a compile error in Apache stating:

/usr/i386-slackware-linux/bin/ld:modules/php4/libphp4.module: file format not recognized;
treated as linker script

Some Slackware help for people manually installing PHP/MySQL/Apache would really be helpful - Not everyone is using RedHat or Mandrake linux with RPM's or point and click package installers.. =(

Thanks.

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2001-09-01 13:28 UTC] rasmus@php.net
I have no idea what you are talking about.  The included INSTALL file gives you all the info you need to compile from source.  And the string "phplib4.module" doesn't appear anywhere in the PHP distribution.  And likewise, nowhere in the standard Apache distribution is there any reference to "phplib4".  Download the standard Apache tarball and the standard PHP tarball and follow the instructions in the INSTALL file in the PHP distribution and everything will work just fine.
 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Mon Mar 30 08:01:26 2020 UTC